package inf101.v18.rogue101.object;

import inf101.v18.rogue101.game.Game;
import inf101.v18.rogue101.items.container.Static;

/**
 * Stairs going downwards to the previous floor
 */
public class StairsDown implements Item, Static {

    @Override
    public int getCurrentHealth() {
        return 0;
    }

    @Override
    public int getDefense() {
        return 0;
    }

    @Override
    public int getMaxHealth() {
        return 0;
    }

    @Override
    public String getName() {
        return "Stairs going downward";
    }

    @Override
    public int getSize() {
        return 100;
    }

    @Override
    public String getSymbol() {
        return ">";
    }

    @Override
    public int handleDamage(Game game, Item source, int amount) {
        return 0;
    }

}
