package inf101.v18.rogue101.state;

import java.util.Random;

/**
 * The age of an enemy, which alters some stats
 */
public enum LifeStage {

    TODDLER, CHILD, TEEN, ADULT, ELDER;

    private static final Random random = new Random();

    public static LifeStage getRandom() {
        return values()[random.nextInt(values().length)];
    }

}
